changeset 5531:82919f0f1591

Use `(exit N); exit N', not `(exit N); exit'. Otherwise, install-sh could exit with improper exit status when exiting via a trapped interrupt. Thanks to a report from Bob Proulx.
author Jim Meyering <jim@meyering.net>
date Fri, 17 Dec 2004 08:12:52 +0000
parents 621678f4449c
children 7f04717579e4
files config/install-sh
diffstat 1 files changed, 3 insertions(+), 3 deletions(-) [+]
line wrap: on
line diff
--- a/config/install-sh
+++ b/config/install-sh
@@ -296,7 +296,7 @@
 	       || $doit $mvcmd -f "$dstdir/$dstfile" "$rmtmp" 2>/dev/null \
 	       || {
 		 echo "$0: cannot unlink or rename $dstdir/$dstfile" >&2
-		 (exit 1); exit
+		 (exit 1); exit 1
 	       }
 	     else
 	       :
@@ -307,12 +307,12 @@
 	   $doit $mvcmd "$dsttmp" "$dstdir/$dstfile"
 	 }
     }
-  fi || { (exit 1); exit; }
+  fi || { (exit 1); exit 1; }
 done
 
 # The final little trick to "correctly" pass the exit status to the exit trap.
 {
-  (exit 0); exit
+  (exit 0); exit 0
 }
 
 # Local variables: